Last Comment Bug 837712 - blog.mozilla.com/it not readable in mobile format
: blog.mozilla.com/it not readable in mobile format
Status: RESOLVED FIXED
:
Product: Websites
Classification: Other
Component: blog.mozilla.org (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-04 08:14 PST by Sheeri Cabral [:sheeri]
Modified: 2013-02-05 15:49 PST (History)
4 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Sheeri Cabral [:sheeri] 2013-02-04 08:14:23 PST
See:

https://blog.mozilla.org/it/2013/01/29/in-subqueries-in-mysql-5-6-are-optimized-away/comment-page-1/#comment-2301

And :lerxst also noticed the other day.
Comment 1 Craig Cook (:craigcook) 2013-02-04 09:09:49 PST
It seems there are some embedded styles being injected:

body div#secondary  {
  visibility: hidden;
}

body div#content {
  margin: 0 220px 0 0;
}

body div.sidebar {
  overflow: hidden;
  width: 170px;
}

It's that 220px right margin on "body div#content" that's squeezing the content column too small in narrow windows. The main content block shouldn't have any margins at that size. These style rules aren't part of the One Mozilla theme. They've been added by a plugin or some custom styling added by one of the blog admins, and since I don't have access to /it I can't really determine where they're coming from.

Can you list here any active plugins that might be adding these style rules? 

I think these extra styles aren't needed, but if they were added for a good reason and need to be kept, we should at least enclose them in media queries so they don't interfere with the layout on small screens.
Comment 2 Sheeri Cabral [:sheeri] 2013-02-04 09:18:24 PST
There's a custom user css plugin, among many others at https://blog.mozilla.org/it/wp-admin/plugins.php

I don't know who the right person is to talk about these plugins, but it's not me. (that's why I made the bug....)
Comment 3 Craig Cook (:craigcook) 2013-02-05 15:49:22 PST
solarce removed the custom styles and this is fixed now. I suspect they were added at some time in the pas for the old theme and are no longer relevant.

Note You need to log in before you can comment on or make changes to this bug.